<?php
include("include/data.php");
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, 
$mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, 
$page, $Nom_Client, $NumAbat;
// entete de la page
//include 'menu/header.php';

$date = date("d-m-Y");

// menu haut new-supp-modif

echo "<center><br>";

/* avec code barre saisie
http://192.168.1.200/orius/ajout_entre_bl_temp.php?ordre=1
num_bl_ligne=2
num_bl=2
date_bl=2017%2F07%2F18
num_client_entre=10+100
num_eleveur=11
num_lot_entre=K28051317
num_trace_entre=191CA191D195T
puht=
position=p
Cbarre_entre=2900002002102
num_plu_saisie=
poids_saisie=0.000
*/

/* avec saisie manuelle
http://192.168.1.200/orius/ajout_entre_bl_temp.php?ordre=1
num_bl_ligne=1
num_bl=1
date_bl=2017-07-16
num_client_entre=10+100
num_eleveur=8
num_lot_entre=H27233917
num_trace_entre=196D196T
puht=15.52
position=p
Cbarre_entre=
num_plu_saisie=18
poids_saisie=.250
pi_saisie=11
*/


if (!isset($_GET['ordre'])) { 
		// Transmis en POST
		if (isset($_POST['ordre'])) { $num_ordre=$_POST['ordre']; }  else {$num_ordre=''; }
		if (isset($_POST['num_bl_ligne'])) { $num_bl_ligne=$_POST['num_bl_ligne']; }  else {$num_bl_ligne=''; }
		if (isset($_POST['num_bl'])) { $num_bl=$_POST['num_bl']; }  else {$num_bl=''; }
		if (isset($_POST['num_client_entre'])) { $num_client_entre=$_POST['num_client_entre']; }  else {$num_client_entre=''; }
		if (isset($_POST['num_eleveur'])) { $num_eleveur=$_POST['num_eleveur']; } else {$num_eleveur=''; }
		if (isset($_POST['date_bl'])) { $date_bl=$_POST['date_bl']; }  else {$date_bl=''; }
		if (isset($_POST['num_lot_entre'])) { $num_lot_entre=$_POST['num_lot_entre']; } else {$num_lot_entre=''; }
		if (isset($_POST['num_trace_entre'])) { $num_trace_entre=$_POST['num_trace_entre']; }  else {$num_trace_entre=''; }
		if (isset($_POST['Cbarre_entre']) ){$Cbarre_entre = $_POST['Cbarre_entre'];} else {$Cbarre_entre = '';}
		if (isset($_POST['position']) ){$position = $_POST['position'];} else {$position = '';}
		if (isset($_POST['num_plu_saisie']) ){$num_plu_saisie = $_POST['num_plu_saisie'];} else {$num_plu_saisie = '';}
		if (isset($_POST['poids_saisie']) ){$poids_saisie = $_POST['poids_saisie'];} else {$poids_saisie = '';}
		if (isset($_POST['pi_saisie']) ){$pi_saisie = $_POST['pi_saisie'];} else {$pi_saisie = '';}
		$valForm="POST" ;
} else {
		// Transmis en GET
		if (isset($_GET['ordre'])) { $num_ordre=$_GET['ordre']; }  else {$num_ordre=''; }
		if (isset($_GET['num_bl_ligne'])) { $num_bl_ligne=$_GET['num_bl_ligne']; }  else {$num_bl_ligne=''; }
		if (isset($_GET['num_bl'])) { $num_bl=$_GET['num_bl']; }  else {$num_bl=''; }
		if (isset($_GET['num_client_entre'])) { $num_client_entre=$_GET['num_client_entre']; }  else {$num_client_entre=''; }
		if (isset($_GET['num_eleveur'])) { $num_eleveur=$_GET['num_eleveur']; } else {$num_eleveur=''; }
		if (isset($_GET['date_bl'])) { $date_bl=$_GET['date_bl']; }  else {$date_bl=''; }
		if (isset($_GET['num_lot_entre'])) { $num_lot_entre=$_GET['num_lot_entre']; } else {$num_lot_entre=''; }
		if (isset($_GET['num_trace_entre'])) { $num_trace_entre=$_GET['num_trace_entre']; }  else {$num_trace_entre=''; }
		if (isset($_GET['Cbarre_entre']) ){$Cbarre_entre = $_GET['Cbarre_entre'];} else {$Cbarre_entre = '';}
		if (isset($_GET['position']) ){$position = $_GET['position'];} else {$position = '';}
		if (isset($_GET['num_plu_saisie']) ){$num_plu_saisie = $_GET['num_plu_saisie'];} else {$num_plu_saisie = '';}
		if (isset($_GET['poids_saisie']) ){$poids_saisie = $_GET['poids_saisie'];} else {$poids_saisie = '';}
		if (isset($_GET['pi_saisie']) ){$pi_saisie = $_GET['pi_saisie'];} else {$pi_saisie = '';}
		$valForm="GET" ;
}

Echo "<center><font color='red'>Enregistrement</font></center>";

if ($Cbarre_entre) {
	echo "Code barre ok : $Cbarre_entre <br>"; 
$Cbarre_entre = $_GET['Cbarre_entre'];
$Cb_plu = CodeBarrePlu ($Cbarre_entre) ;
$Cb_Poids = CodeBarrePoids ($Cbarre_entre) ;
$num_plu_saisie=$Cb_plu ;
$poids_saisie=$Cb_Poids ;
} else {
	echo "Pas Code barre ok Saisie Manuelle <br>"; 
	$Cbarre_entre = '';
	$Cb_plu = $num_plu_saisie ;
	$Cb_Poids = $poids_saisie ;
	
	}


echo "<br>pi saisie : $pi_saisie";
if (!empty($pi_saisie)==TRUE) {
$pi_saisie = $pi_saisie ;
} ELSE {
$pi_saisie=1 ;	
}
echo "<br>pi saisie pres maj: $pi_saisie<br>";


if ($position=='m') {
$pi_saisie=-$pi_saisie ;
$poids_saisie=-$poids_saisie	 ;
}

// selection du prix unitaire ht
		$sql = "SELECT * FROM clients_base WHERE Num_Client='$num_client_entre'"; 
		$sql.=" AND IdNumClient='".$IdNumClient."'";
		$req = mysqli_query($link, $sql);
		while ($row = mysqli_fetch_assoc($req)) {
		        $nom_Client = $row["Nom_Client"];
		        $Code_tarif_Client = $row["Code_tarif"];
		 }
						
		$sql2="Select Num_Base_Tarifs, Num_PLU, Prix_HT, Prix_TTC, Code_Tva, PrixPoid, Base_Tarifs.Num_Code_Tarif" ;
		$sql2.=" FROM `Base_Tarifs`";
		$sql2.=" INNER JOIN categorie_tarif";
		$sql2.=" ON categorie_tarif.Num_Code_Tarif = Base_Tarifs.Num_Code_Tarif AND categorie_tarif.IdNumClient = Base_Tarifs.IdNumClient";
		$sql2.=" WHERE Num_PLU='".$num_plu_saisie."'";
		$sql2.=" AND Base_Tarifs.Num_Code_Tarif='".$Code_tarif_Client."'";
		$sql2.=" AND Base_Tarifs.IdNumClient='".$IdNumClient."'";  
		echo "<br> Requette Base Tarif : $sql2<br>";
		$req2=mysqli_query($link, $sql2);  
				while ($row = mysqli_fetch_assoc($req2)) { 
							$puht = $row["Prix_HT"];
							$PrixPoid = $row["PrixPoid"];
					}


switch ($PrixPoid) { 	
	case 0: 		  // Prix Piece 	
	$montant=$pi_saisie*$puht ;
	$montant = number_format($montant, 2, '.', '')	;		
	break; 	
	
	case 1: 		  // Prix Poids 	
	$montant=$poids_saisie*$puht ;
	$montant = number_format($montant, 2, '.', '')	;	
	break; 	
	}


echo "<br>";
echo "FomVal ? : ".$valForm ." <br>";
echo "position ? : ".$position." | PrixPoid : $PrixPoid <br>";
echo "num_client ? : ".$num_client_entre." ! Nom client : ".$nom_Client."<br>";
echo "Code Tarif : ".$Code_tarif_Client."<br>";
echo "ligne Bl ? : ".$num_bl_ligne." <br>";
echo "num_bl ? : ".$num_bl." <br>";
echo "id_plu ? : ".$num_plu_saisie." <br>";
echo "poids_qtv ? : ".$poids_saisie." <br>";
echo "qte_qtv ? : ".$pi_saisie." <br>";
echo "Num eleveur : ".$num_eleveur." <br>";
echo "Num Lot : ".$num_lot_entre." <br>";
echo "Num Traca : ".$num_trace_entre." <br>";
echo "Puht : ".$puht." <br>";
echo "montant : ".$montant." <br>";
// Ajout table temporaire Stock

$last_num_entre = 0 ;
$sql = "SELECT max(num_ligne) FROM temp_detail_bl";  
$req = mysqli_query($link, $sql); 
$row = mysqli_fetch_row($req);
$last_num_entre = $row[0];
$last_num_entre = $last_num_entre + 1 ;

$sql1 = "INSERT INTO temp_detail_bl VALUES ( 
'".$last_num_entre."', 
'".$IdNumClient."', 
'".$num_bl_ligne."', 
'".$num_bl."', 
'".$num_eleveur."', 
'".$num_lot_entre."',
'".$num_trace_entre."',
'".$num_plu_saisie."',
'".$puht."',
'".$poids_saisie."',
'".$pi_saisie ."',
'".$montant."')";

echo "requet : ".$sql1." <br>";

$res = mysqli_query($link, $sql1); 

echo "resultat requet : ".$res." <br>";

//ordre=1&num_bl_ligne=1&num_bl=1&num_client_entre=10+100&date_bl=2017-07-16&num_eleveur=8&num_lot_entre=H27233917&num_trace_entre=196D

Header("Location:  ajout_detail_bl.php?ordre=$num_ordre&num_bl_ligne=$num_bl_ligne&num_bl=$num_bl&num_client_entre=$num_client_entre&date_bl=$date_bl&num_eleveur=$num_eleveur&num_lot_entre=$num_lot_entre&num_trace_entre=$num_trace_entre");
?>